<template>
	<div class="my-template-621"
    :style="{
      backgroundColor: '#f4f4f4',
      minHeight: mainHeight,
      overflow: 'auto',
      width: '100%'}"
  >
	<div style="padding:10px;width:100%">
			<el-row :style="{ margin: '15px 0 15px 0',}">
<el-col :span="24">
<el-form
      :rules="rules"
      :model="model_yun_storage_in_order"
      :inline="false"
      ref="ruleForm"
      label-width="auto"
      size="default"
      :hide-required-asterisk="false"
      :class="formContent">
		<el-row :gutter="5">
			<el-col :span="4">
	<el-form-item label="订单状态是：" prop="order_status">
 			<el-input size="size" type="number" v-model="model_yun_storage_in_order.order_status"  />
 	</el-form-item>
	  		</el-col>
<el-col  :span="4"  style="margin-bottom: 10px;">
          <el-button icon="search" size="default" type="primary" @click="searchData">
            搜索
          </el-button>
          <el-button icon="Delete" size="default" type="danger" @click="clearSearch">
            清除
          </el-button>
        </el-col>		</el-row>
	</el-form>

</el-col>
			</el-row>
 		<el-table
        :data="dataList"
        :class="tableClassNames"
        ref="table"
        :size="tableSize"
        min-height="100"
        :border="false"
        :highlight-current-row="true"
        style="width: 100%;"
        :showHeader="true"
        @selection-change="handleSelectionChange"
        :header-cell-style="{
          background: '#eef1f6',
          color: '#606266'}">
        	<el-table-column
          type="selection" fixed
        ></el-table-column>
		<el-table-column
          key=6314
          :show-overflow-tooltip="true"
          align="center"
          look=6314
          min-width="180px"
          column-key=6314
          prop="order_no"
          width="auto"
          class="itemTrue"
          label="订单编号"
        >
		</el-table-column>

		<el-table-column
          key=6317
          :show-overflow-tooltip="true"
          align="center"
          look=6317
          min-width="180px"
          column-key=6317
          prop="id"
          width="auto"
          class="itemTrue"
          label="id"
        >
		</el-table-column>

		<el-table-column
          key=6318
          :show-overflow-tooltip="true"
          align="center"
          look=6318
          min-width="180px"
          column-key=6318
          prop="order_status"
          width="auto"
          class="itemTrue"
          label="订单状态是"
        >
		</el-table-column>

		<el-table-column
          key=6319
          :show-overflow-tooltip="true"
          align="center"
          look=6319
          min-width="180px"
          column-key=6319
          prop="product_total_price"
          width="auto"
          class="itemTrue"
          label="产品总价"
        >
		</el-table-column>

		<el-table-column
          key=6320
          :show-overflow-tooltip="true"
          align="center"
          look=6320
          min-width="180px"
          column-key=6320
          prop="order_dtme"
          width="auto"
          class="itemTrue"
          label="订单时间"
        >
		</el-table-column>

		<el-table-column
          key=6321
          :show-overflow-tooltip="true"
          align="center"
          look=6321
          min-width="180px"
          column-key=6321
          prop="handel_user_id"
          width="auto"
          class="itemTrue"
          label="操作员"
        >
		</el-table-column>

		<el-table-column
          key=6312
          :show-overflow-tooltip="true"
          align="center"
          look=6312
          min-width="180px"
          column-key=6312
          prop="storage_id"
          width="auto"
          class="itemTrue"
          label="仓库ID"
        >
		</el-table-column>

		<el-table-column
          key=6313
          :show-overflow-tooltip="true"
          align="center"
          look=6313
          min-width="180px"
          column-key=6313
          prop="in_type"
          width="auto"
          class="itemTrue"
          label="入库类型"
        >
		</el-table-column>

		</el-table>
</div> 
</div>
</template>
<script>

export default {
	created(){
 		this.getInit()
	},
 	data(){
  		return{ 
model_yun_storage_in_order:{},
			dataList:[{"order_no":"测试订单编号0","in_type":"测试入库类型0","order_status":0,"storage_id":0,"order_dtme":"测试订单时间0","id":0,"product_total_price":0,"handel_user_id":0},{"order_no":"测试订单编号1","in_type":"测试入库类型1","order_status":1,"storage_id":1,"order_dtme":"测试订单时间1","id":1,"product_total_price":1,"handel_user_id":1},{"order_no":"测试订单编号2","in_type":"测试入库类型2","order_status":2,"storage_id":2,"order_dtme":"测试订单时间2","id":2,"product_total_price":2,"handel_user_id":2},{"order_no":"测试订单编号3","in_type":"测试入库类型3","order_status":3,"storage_id":3,"order_dtme":"测试订单时间3","id":3,"product_total_price":3,"handel_user_id":3},{"order_no":"测试订单编号4","in_type":"测试入库类型4","order_status":4,"storage_id":4,"order_dtme":"测试订单时间4","id":4,"product_total_price":4,"handel_user_id":4}],
			mainHeight:"",

		}
	},
 	methods:{
		getInit(){
 			this.mainHeight=window.innerHeight+'px';//高度；初始化
		},
searchData() {
      alert("这里是搜索！");
    },
    clearSearch() {
      alert("清除所有搜索条件！");
    },
		handleSelectionChange(val){
 			console.log("选中数据！")
		},

	}
}
</script>
<style lang="less" scoped>
.my-template-621{
}
</style>

